package gkv

import (
	"bytes"
	"testing"
)

var w_ini = `
[Theme]
Id=bc7079cf32f031f4ceeee2beb10e5a07
Author=
Email=
Name=
Description=
Type=wallpaper
# Method: theme-store, internel
SearchMethod=internel
SearchArguments=

[Extension]
Default=de56a4e0fed1e29d0b6884a5305f92ff
Ids=de56a4e0fed1e29d0b6884a5305f92ff,fffc4db6d2d5a94a9fd4d26ce959b744;

[de56a4e0fed1e29d0b6884a5305f92ff]
Id=de56a4e0fed1e29d0b6884a5305f92ff
Name=background0

[fffc4db6d2d5a94a9fd4d26ce959b744]
Id=fffc4db6d2d5a94a9fd4d26ce959b744
Name=background1
`

type subthemeInfo struct {
	Id              string
	Author          string
	Email           string
	Type            string
	Description     string
	Name            string
	SearchMethod    string
	SearchArguments string
}

type wallpaperExt struct {
	Default string
	Ids     string
}

type Wallpaper struct {
	Config
	Theme     subthemeInfo
	Extension wallpaperExt
}

func TestIntReadString(t *testing.T) {
	w := &Wallpaper{}
	r := bytes.NewReader([]byte(w_ini))
	t.Log(ParseInto(w, r))
	t.Logf("%v", w.Config)
	t.Log(w.Get(w.Extension.Default, "Id"))
	t.Log(w.Get(w.Extension.Default, "Name"))
}
