package gkv

import (
	"io"
	"os"
	"strings"
)

// ReadInto reads gcfg formatted data from reader and sets the values into the
// corresponding fields in config.
func ReadInto(config interface{}, reader io.Reader) error {
	return ParseInto(config, reader)
	/*
		src, err := ioutil.ReadAll(reader)
		if err != nil {
			return err
		}
		fset := token.NewFileSet()
		file := fset.AddFile("", fset.Base(), len(src))
		return readInto(config, fset, file, src)
	*/
}

// ReadStringInto reads gcfg formatted data from str and sets the values into
// the corresponding fields in config.
func ReadStringInto(config interface{}, str string) error {
	r := strings.NewReader(str)
	return ParseInto(config, r)
}

// ReadFileInto reads gcfg formatted data from the file filename and sets the
// values into the corresponding fields in config.
func ReadFileInto(config interface{}, filename string) error {
	f, err := os.Open(filename)
	if err != nil {
		return err
	}
	defer f.Close()
	return ParseInto(config, f)
	/*
		fset := token.NewFileSet()
		file := fset.AddFile(filename, fset.Base(), len(src))
		return readInto(config, fset, file, src)
	*/
}
